{
  description = "Flake to install cracked versions of Bitwig Studio";

  inputs = {
    flake-parts.url = "github:hercules-ci/flake-parts";
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
  };

  outputs =
    inputs@{ flake-parts, self, ... }:
    flake-parts.lib.mkFlake { inherit inputs; } {
      systems = [
        "x86_64-linux"
      ];
      perSystem =
        {
          config,
          lib,
          pkgs,
          system,
          ...
        }:
        {
          _module.args.pkgs = import self.inputs.nixpkgs {
            inherit system;
            config.allowUnfreePredicate = pkg:
              builtins.elem (lib.getName pkg) [
                "bitwig-studio"
              ];
          };
          packages = rec {
            bitwig-studio = pkgs.callPackage ./bitwig-studio.nix { inherit inputs; };
            default = bitwig-studio;
          };
        };
    };
}
